IncompleteAnnotationException (Java Platform SE 8 )
Keywords: java.lang.annotation.IncompleteAnnotationException class
Date: 2026-04-22

compact1, compact2, compact3
java.lang.annotation

## Class IncompleteAnnotationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.annotation.IncompleteAnnotationException

- All Implemented Interfaces:
    Serializable

      public class IncompleteAnnotationException
      extends RuntimeException

  Thrown to indicate that a program has attempted to access an element of an annotation type that was added to the annotation type definition after the annotation was compiled (or serialized). This exception will not be thrown if the new element has a default value. This exception can be thrown by the API used to read annotations reflectively.
  Since:
    1.5
  See Also:
    `AnnotatedElement`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncompleteAnnotationException(Class<? extends Annotation> annotationType, String elementName)` Constructs an IncompleteAnnotationException to indicate that the named element was missing from the specified annotation type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends Annotation>` | `annotationType()` Returns the Class object for the annotation type with the missing element.
    `String` | `elementName()` Returns the name of the missing element.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IncompleteAnnotationException

          public IncompleteAnnotationException(Class<? extends Annotation> annotationType,
                                               String elementName)

      Constructs an IncompleteAnnotationException to indicate that the named element was missing from the specified annotation type.
      Parameters:
        `annotationType` - the Class object for the annotation type
        `elementName` - the name of the missing element
      Throws:
        `NullPointerException` - if either parameter is `null`

  - ### Method Detail

    - #### annotationType

          public Class<? extends Annotation> annotationType()

      Returns the Class object for the annotation type with the missing element.
      Returns:
        the Class object for the annotation type with the missing element

    - #### elementName

          public String elementName()

      Returns the name of the missing element.
      Returns:
        the name of the missing element

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.